Hyperic HQ Plugin API v. 2.5.dev

## net.hyperic.hq.product
Class MetricNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              net.hyperic.util.NestedException
                  net.hyperic.hq.common.ApplicationException
                      net.hyperic.hq.product.MetricNotFoundException

All Implemented Interfaces:
  java.io.Serializable

public class MetricNotFoundException
extends net.hyperic.hq.common.ApplicationException

This exception is thrown from getValue when the monitored entity cannot deal with the request. I.e. you make an SNMP query which server does not have a MIB for, or a JMX monitored entity for something like a misspelled context name.

See Also:
  Serialized Form

Field Summary

Fields inherited from class net.hyperic.util.NestedException
`_exception`

Constructor Summary
`MetricNotFoundException(java.lang.String s)`
`MetricNotFoundException(java.lang.String s, java.lang.Throwable t)`

Methods inherited from class net.hyperic.util.NestedException
`addException, getExceptionOfType, printStackTrace, printStackTrace, toString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MetricNotFoundException

    public MetricNotFoundException(java.lang.String s)

### MetricNotFoundException

    public MetricNotFoundException(java.lang.String s,
                                   java.lang.Throwable t)

Hyperic HQ Plugin API v. 2.5.dev

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.